<?php
session_start();
include_once '../conexao/index.php';
date_default_timezone_set('Africa/Maputo');
$data_hora = date("Y-m-d H:i:s");

/*Variaveis do Sistema*/
/*********************************************/
$_SESSION['idUsuario'] = $_SESSION['idUsuario'];
$_SESSION['nomeUsuario'] = $_SESSION['nomeUsuario'];
$_SESSION['categoriaUsuario'] = $_SESSION['categoriaUsuario']; 

$userID = $_SESSION['idUsuario'];
$userNOME = $_SESSION['nomeUsuario'];
$userCATE = $_SESSION['categoriaUsuario'];
/*********************************************/

$id = $_POST['id'];


$sql = "SELECT preco FROM produto WHERE idproduto = '$id'";
$rs = mysqli_query($db, $sql) or die(mysqli_error($db));
if (mysqli_num_rows($rs) > 0) {
	$dados = mysqli_fetch_assoc($rs);
	$preco = $dados['preco'];
	$sql = "SELECT qtd FROM ct_artigos_temp WHERE artigo = '$id' AND user = '$userID'";
	$rsx = mysqli_query($db, $sql) or die(mysqli_error($db));
		if (mysqli_num_rows($rsx) > 0) {
		$sql = "UPDATE ct_artigos_temp SET qtd = qtd + 1, total = total + '$preco' WHERE artigo = '$id' AND user = '$userID'";
		$rs = mysqli_query($db, $sql) or die(mysqli_error($db));
		}else{
			$sql = "INSERT INTO ct_artigos_temp(artigo, qtd, preco, total, user) VALUES('$id', 1, '$preco', '$preco', '$userID')";
			$rs = mysqli_query($db, $sql) or die(mysqli_error($db));
		}
	
}else{
	echo 1;
}